<?php

/**
 * @author Azamat
 * @copyright 2007
 */

defined ('_JEXEC') or die('Restricted Access');
jimport('joomla.application.component.view');

class JSMassMailViewConfig extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $option;
		JToolBarHelper::title( JText::_( 'JS MassMail Configurations' ), 'config.png' );
		JToolBarHelper::apply();
		JToolBarHelper::save();
		$ini = '';
		if (JFile::exists(JPATH_COMPONENT_ADMINISTRATOR.DS.'config.ini'))
		{
			$ini = JFile::read( JPATH_COMPONENT_ADMINISTRATOR.DS.'config.ini' );
		}
		$config_params = new JParameter( $ini, JPATH_COMPONENT_ADMINISTRATOR.DS.'params.xml' );

		$this->assignRef('config_params',	$config_params);
		parent::display($tpl);
	}

	function renderParamsGroup( $group_name )
	{
		?>
<fieldset class="adminform"><legend><?php echo JText::_( $group_name ); ?></legend>
		<?php print $this->config_params->render('params',$group_name);?></fieldset>
		<?php
	}

}

?>