<?php

/**
 * @author Azamat
 * @copyright 2007
 */

defined ('_JEXEC') or die('Restricted Access');
jimport('joomla.application.component.view');

class JSMassMailViewMain extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $option;
		$db = &JFactory::getDBO();
		$document = &JFactory::getDocument();
		$document->addStyleDeclaration(".icon-48-jsmassmail {background:url(components/com_jsmassmail/images/jsmassmail.48.png);}");
		$document->addStyleDeclaration(".icon-32-forward_mail_f2 {background:url(images/forward_mail_f2.png);}");
		JToolBarHelper::title( JText::_( 'JS MassMail' ), 'jsmassmail.png' );
		JToolBarHelper::customX('send' ,'send.png', 'send.png', "Send");
		JToolBarHelper::customX('stop' ,'cancel.png', 'cancel.png', "Stop");
		JToolBarHelper::divider();
		JToolBarHelper::custom('resume' ,'forward_mail_f2.png', 'apply.png', "Resume");
		JToolBarHelper::custom('pause' ,'cancel.png', 'cancel.png', "Pause");
		JToolBarHelper::divider();
		JToolBarHelper::addNew();
		JToolBarHelper::deleteListX();

		$uri	=& JFactory::getURI();


		$lists['order']     = $mainframe->getUserStateFromRequest( $option.'.main.filter_order',		 'filter_order',		 'c.active',	'cmd' );
		$lists['order_Dir']	= $mainframe->getUserStateFromRequest( $option.'.main.filter_order_Dir', 'filter_order_Dir', '',	          'word' );

		$items		  = & $this->get( 'Data');
		$total		  = & $this->get( 'Total');
		$pagination = & $this->get( 'Pagination' );

		/*for($i=0; $i<count($items); $i++)
		{
		$items[$i]->ofall = 0;
		$db->setQuery($items[$i]->query);
		$ofall = $db->loadObjectList();
		$items[$i]->ofall = count($ofall);

		}*/

		$this->assignRef('lists',   $lists);
		$this->assignRef('items',		    $items);
		$this->assignRef('pagination',  $pagination);
		$this->assignRef('request_url',	$uri->toString());
		parent::display($tpl);
	}

}

?>