<?php
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view');

class JSMassMailViewNewsletter extends JView
{
  function display($tpl = null)
  {
    $layout = JRequest::getVar('layout', 'default');
    $this->{'_init'.$layout}();

    parent::display($tpl);
  }
  function _initDefault()
  {
    global $mainframe, $option;
    JToolBarHelper::title( JText::_( 'News Letter Step 1' ), 'massemail.png' );
    JToolBarHelper::custom('next', 'forward.png', 'forward_f2.png','Next', true, false);
    JToolBarHelper::cancel();
    $uri	=& JFactory::getURI();
    $id = JRequest::getVar('id', 0);
    $client = '';
		switch(MSML_CONTENT)
		{
			case 'com_content':
				$client = 'com_content';
    		$filter_order		  = $mainframe->getUserStateFromRequest( $option.'.newsletter.filter_order',		 'filter_order',		 'c.ordering',	'cmd' );
    		$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.'.newsletter.filter_order_Dir', 'filter_order_Dir', '',	          'word' );

    		$items		  = & $this->get( 'Data');
    		$total		  = & $this->get( 'Total');
    		$pagination = & $this->get( 'Pagination' );
    		$id = JRequest::getVar('id', 0);

			break;
			case 'com_resource':
				$client = 'com_resource';
				$model = &JModel::getInstance("JSRes", 'JSMassMailModel');
				$items = $model->getData();
				$total = $model->getTotal();
				$pagination = $model->getPagination();
				$this->setLayout('default_res');
				$id = JRequest::getVar('id', 0);
				break;

		}



    $this->assignRef('client',       $client);
    $this->assignRef('id',           $id);
    $this->assignRef('order_Dir',   $filter_order_Dir);
    $this->assignRef('order',		    $filter_order);
    $this->assignRef('items',		    $items);
    $this->assignRef('pagination',  $pagination);
    $this->assignRef('request_url',	$uri->toString());
  }

  function _initNewsletter()
  {

    $acl = &JFactory::getACL();
    $task = JRequest::getVar('task', 'add');
		$client = JRequest::getVar('client');


    $id = JRequest::getVar('id', 0);

    switch ($task)
    {
      case 'edit':
        JToolBarHelper::title( JText::_( 'News Letter [edit]' ), 'massemail.png' );
        JToolBarHelper::custom('preview', 'preview.png', 'preview_f2.png', 'Print preview', false, false);
        JToolBarHelper::apply();
        JToolBarHelper::save();
        JToolBarHelper::cancel();
				$item = &$this->get('Letter');
			break;

      case 'next':
      case 'add':
      default:
        JToolBarHelper::title( JText::_( 'News Letter Step 2' ), 'massemail.png' );

        JToolBarHelper::back();
        JToolBarHelper::custom('preview', 'preview.png', 'preview_f2.png', 'Print preview', false, false);
        JToolBarHelper::apply();
        JToolBarHelper::save();
        JToolBarHelper::cancel();
        $item = &$this->get('Letter');

 						if (MSML_CONTENT == 'com_resource')
 						{
						JModel::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_resource'.DS.'models');
						$model = &JModel::getInstance("JSRes", 'JSMassMailModel');
						$cid = JRequest::getVar('cid', array(0));
						$html = $model->getItem($cid);
						$item->text = implode("\n",$html);
 						}
 						else
 						{
 							$item->text = $this->getMailBody();
 						}
        break;

    }


    $dispatcher    =& JDispatcher::getInstance();
		JPluginHelper::importPlugin('massmail_filter');

		$customFilters = $dispatcher->trigger('onRenderForm', array("selected" => $item->params));
		$filterScript  = $dispatcher->trigger('onCutomJavaScript');

		$params = new JParameter($item->get('params2'), JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'newsletter'.DS.'params.xml');
    $filters = new JParameter($item->get('params'));
    $testFilters = $filters->toArray();

    $gid =$params->get('gid');
    $uri	=& JFactory::getURI();
    $filters = $filters->toArray();
    $editor		=& JFactory::getEditor();

    jimport('joomla.filesystem.file');

    $files = JFolder::files(MSML_FILESDIR);
    $folder = str_replace('\\', '/', MSML_FILESDIR);
		$options = array();
		$options[] = JHTML::_('select.option', '', "No Attachment");
    foreach ($files as $file)
    {
    	$options[] = JHTML::_('select.option', $folder.'/'.$file, $file);

    }
		$lists['attach'] = JHTML::_('select.genericlist',   $options, 'attachement', 'class="inputbox"', 'value', 'text', $params->get('attachment') );

    $gtree = $acl->get_group_children_tree( null, 'USERS', false );

    $lists['gid']            = JHTML::_('select.genericlist',   $gtree, 'gid[]', 'size="10" multiple="multiple"', 'value', 'text', $gid );
    $lists['htmlortext']     = JHTML::_('select.booleanlist', 'htmlortext', 'class="inputbox"', '1', 'HTML', 'Text');




    $field_list = $this->get('FilterableFieldList');
    jimport('joomla.html.pane');
    $tabs = &JPane::getInstance('sliders');

    $this->assignRef('selected',      $filters);
    $this->assignRef('id',            $id);
    $this->assignRef('params',        $params);
    $this->assignRef('tabs',          $tabs);
    $this->assignRef('field_list',    $field_list);
    $this->assignRef('lists',         $lists);
    $this->assignRef('item',          $item);
    $this->assignRef('editor',        $editor);
    $this->assignRef('request_url',	  $uri->toString());
    $this->assignRef('customFilters', $customFilters);
    $this->assignRef('customJavaScript', $filterScript);
  }

  function _initPreview()
  {

    $htmlortext = JRequest::getVar('htmlortext');
    $text = JRequest::getVar('text', '', 'POST', 'string', 2);
    $mail_text  = $this->getMailEndText($text, $htmlortext );
    $this->assignRef('mail_text',   $mail_text);
  }

  function getMailBody()
  {

    $conts = $this->get("contentList");
    $result = '';
    foreach($conts as $cont){
      $path_readmore = str_replace( array('administrator/','administrator\\'), '', JURI::base() ).'index.php?option=com_content&view=article&id='.$cont->id.'&catid='.$cont->catid ;
      $result.= '<h1>'.$cont->title.'</h1>';
      $result.= $cont->introtext;
      if($cont->fulltext){
        $result.= '<br />Read more: <a href="'.$path_readmore.'">'.$path_readmore.'</a>';
      }
    }
    return $result;

  }
  //          /<a[.+]href=\"(.*)\"[^>]>(.+)</a>/ \\2 (\\1)


  function getMailEndText( $text , $htmlortext = 1 )
  {

    $text = str_replace('"index.php',  '"'.JURI::root().'index.php',  $text);
    $text = str_replace('\'index.php', "'".JURI::root().'index.php', $text);
    $text = str_replace('\'plugins/joomsuite_content_fields', "'".JURI::root().'plugins/joomsuite_content_fields', $text);
    $text = str_replace('"plugins/joomsuite_content_fields', '"'.JURI::root().'plugins/joomsuite_content_fields', $text);

    if(!$htmlortext){
      $text = nl2br(strip_tags(str_replace(array('<br>','<br/>','<br />'), "\n", $text)));
    }
    return $text;
  }


  function renderParamsGroup( &$params, $group_name="_default", $prefix="params" )
  {
    return $params->render($prefix, $group_name);

  }

}
?>