<?php

defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.controller');
class JSMassMailControllerConfig extends JSMassMailController
{
	function __construct()
	{
		parent::__construct();
	}

	function display()
	{
		JRequest::setVar('view', 'config');
		parent::display();
	}

	function save()
	{
		$post = JRequest::getVar('params', array());

		$params = new JParameter('');
		$params->bind($post);
		jimport('joomla.filesystem.file');
		$msg = '';
		$type = '';
		if (JFile::write(JPATH_COMPONENT_ADMINISTRATOR.DS.'config.ini' ,$params->toString()))
		{
			$type="message";
			$msg = JText::_("Configurations saved successfully");

		}
		else
		{
			$type= "notice";
			$msg = JText::_("Could not save configurations");
		}

		$task = JRequest::getVar('task', '');
		switch ($task)
		{
			case 'apply':
				$this->setRedirect('index.php?option=com_jsmassmail&controller=config', $msg, $type);
				return;
				break;

			case 'save':
				$this->setRedirect('index.php?option=com_jsmassmail', $msg, $type);
				break;
		}

	}

	function apply()
	{
		$this->save();
	}

	function initialyze()
	{
		jimport('joomla.filesystem.file');
		$array = array();
		if (!JFile::exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jsmassmail'.DS.'config.ini'))
		{
			return;
		}
		$ini = JFile::read(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jsmassmail'.DS.'config.ini');
		$params = new JParameter($ini);
		$array = $params->toArray();
		foreach($array AS $key=> $row)
		{
			//$key[0] = str_replace("_", " ",$key[0]);
			$name = sprintf('MSML_%s', $key);
			define(strtoupper($name), $row, true);
			/*print '<pre>';
			echo strtoupper($name."  ");
			print strtoupper($row).'<br>';
			print "</pre>";*/
		}

	}
}
?>