<?php

defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.controller');
class JSMassMailControllerMain extends JSMassMailController
{
	function __construct()
	{
		parent::__construct();
		$this->registerTask('send',   'send');
		$this->registerTask('stop',   'stop');
		$this->registerTask('pause',  'pause');
		$this->registerTask('resume', 'resume');
	}

	function display()
	{
		JRequest::setVar('view', 'main');
		parent::display();
	}

	function add()
	{
		$this->setRedirect('index.php?option=com_jsmassmail&controller=newsletter');

	}


	function remove()
	{
		$db    = &JFactory::getDBO();
		$cid   = JRequest::getVar('cid', array());
		$model = &$this->getModel('main', 'JSMassMailModel');
		$model->remove($cid);
		$where = "WHERE `letter_id` IN (".implode(" , ", $cid).")";
		$sql = "DELETE FROM #__jsmassmail_users ".$where;
		$db->setQuery($sql);
		$db->query();

		$this->setRedirect("index.php?option=com_jsmassmail");
	}



	function send()
	{
		$ids = JRequest::getVar('cid', array());
		$model = &$this->getModel('main', 'JSMassMailModel');
		$msg = JText::_("The letter(s) started to send successfully");
		foreach ($ids as $id)
		{
			if(!$model->send($id)){
        		$msg = JText::_("The letter(s) could not be sent");
            }
		}
		$this->setRedirect("index.php?option=com_jsmassmail&controller=main", $msg);

	}

	function stop()
	{
		$ids = JRequest::getVar('cid', array());
		$model = $this->getModel("Main","JSMassMailModel");
		$msg = JText::_("The letter(s) stopped successfully");
		foreach ($ids as $id)
		{
			if(!$model->stop($id)){
        		$msg = JText::_("The letter(s) could not be stopped");
            }
		}
		$this->setRedirect("index.php?option=com_jsmassmail&controller=main", $msg);

	}

	function resume()
	{
		$ids = JRequest::getVar('cid', array());
		$model = $this->getModel("Main","JSMassMailModel");
		$msg = JText::_("The letter(s) resumed successfully");
		$type = 'message';
		foreach ($ids as $id)
		{
			if(!$model->resume($id))
			{
				$type = 'notice';
				$msg = JText::_("The Letter could not be resumed");
			}


		}
		$this->setRedirect("index.php?option=com_jsmassmail&controller=main", $msg);

	}

	function pause()
	{
		$ids =JRequest::getVar('cid', array());
		$model = $this->getModel("Main","JSMassMailModel");
		$msg = JText::_("The letter(s) paused successfully");
		$type = 'message';
		foreach ($ids as $id)
		{
			if(!$model->pause($id))
			{
				$type = 'notice';
				$msg = JText::_("The Letter could not be paused");
			}
		}
		$this->setRedirect("index.php?option=com_jsmassmail&controller=main", $msg);

	}

}
?>