<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class JSMassMailControllerNewsletter extends JSMassMailController
{
	function __construct()
	{

		parent::__construct();

	}

	function display()
	{
		JRequest::setVar('view', 'newsletter');
		JRequest::setVar( 'layout', 'default' );
		parent::display();
	}

	function apply()
	{
		$this->save();
	}

	function back()
	{
		JRequest::setVar('view', 'newsletter');
		JRequest::setVar( 'layout', 'default' );
		parent::display();
	}
	function next()
	{
		JRequest::setVar('view', 'newsletter');
		JRequest::setVar( 'layout', 'newsletter' );
		parent::display();
	}
	function edit()
	{
		JRequest::setVar('view', 'newsletter');
		JRequest::setVar( 'layout', 'newsletter' );
		parent::display();
	}

	function cancel()
	{
		$this->setRedirect( 'index.php?option=com_jsmassmail' );
	}

	function preview()
	{
		JRequest::setVar('view', 'newsletter');
		JRequest::setVar( 'layout', 'preview' );
		parent::display();
	}

	function save()
	{
		global $mainframe;
		$db           = &JFactory::getDBO();
		$datestart    = JRequest::getVar('datestart');
		$id           = JRequest::getVar('id', 0);
		$post         = JRequest::get("POST", 2);
		$subject      = JRequest::getVar('title');
		$htmlortext   = JRequest::getVar('htmlortext');
		$mail_body    = JRequest::getVar('text', '', 'post', 'string', 2);
		$sendParams   = JRequest::getVar('params', array());
		$model = $this->getModel("Main", "JSMassMailModel");
		$attachement = JRequest::getVar('attachement', '');
		
		switch ($sendParams['sendinterval']['type'])
		{
			case 'seconds':
				$sendParams['sendinterval'] = intval($sendParams['sendinterval']['value']);
				break;
			case 'minutes':
				$sendParams['sendinterval'] = intval($sendParams['sendinterval']['value']*60);
				break;
			case 'hours':
				$sendParams['sendinterval'] = intval($sendParams['sendinterval']['value']*60*60);
				break;

		}
		$params = new JParameter("");
		$sendParams['gid'] = $post['gid'];
		$params->bind($sendParams);


		if ($attachement!='')
		{
			$params->set('attachment', $attachement);
		}
		
		if ($post['confirmation']){		
			$post['confirmation']['strict']? $params->set('strict', 'checked'): null; 
			$post['confirmation']['soft']? $params->set('soft', 'checked'): null; 
			$post['confirmation']['none']? $params->set('none', 'checked'): null; 	
		}
		
		if ($date_from = $post['date_from']) $params->set('date_from', $date_from);
		if ($date_to = $post['date_to']) $params->set('date_to', $date_to);
		
		$params = $params->toString();
		$model_export = $this->getModel( 'export','JSMassMailModel' );

		//$groupCondition        = $model_export->groupCondition($post);
		$registerDateCondition = $model_export->registerDateCondition($post);
		$emailConfirmationCondition = $model_export->emailConfirmationCondition($post);
		$activeCondition       = $model_export->activeCondition($post);


		$andor =  JRequest::getVar('andor', 0);
		$implosion = " AND ";
		if ($andor)
		{
			$implosion = " OR ";
		}

		$time = strtotime($datestart);

		$query = "SELECT u.* FROM #__users AS u ";

		$dispatcher    =& JDispatcher::getInstance();
		JPluginHelper::importPlugin('massmail_filter');

		$queries = $dispatcher->trigger('onLeftJoin');
		$query .= implode($queries, "\n");

		$queries = $dispatcher->trigger('onBuildWhere');


		$query2 = array();
		foreach ($queries as $key => $q)
		{
			if (is_array($queries[$key]))
			{
				foreach ($queries[$key] as $k => $v)
				{
					if ( trim($queries[$key][$k]) == '' )
					{
						continue;
					}
					else if (is_string($v))
					{
						$query2[] = $v;
					}
				}
			}
			else if ( trim($queries[$key]) == '' )
			{
				continue;
			}
			else if (is_string($q))
			{
				$query2[] = $q;
			}

		}
		$gid = '';
		if (count(@$post['gid']))
		{
			$gid = "AND u.gid IN (".implode(' , ',$post['gid']).")";

		}
		$query.= " WHERE 1  {$gid}".(count($query2)>0? " AND ": '')
		.implode("\n".$implosion, $query2)."\n".$registerDateCondition.$emailConfirmationCondition.$activeCondition." GROUP BY (u.id) ORDER BY u.registerDate";


		$ini = new JParameter('');
		$ini->bind(@$post['value_filter']);

		$msg = '';
		if (
		!($newId = $model->saveNewsletter(array('title'=>$subject, "text"=>$mail_body,
		"datestart"=>$datestart, "htmlortext"=>$htmlortext,
		"query"=>$query, "params"=>$ini->toString(),
		"params2"=>$params, "id"=>$id, "started"=>$started )))
		)
		{
			$msg = JText::_("The newsletter could not be saved!");

		}


		if ($id == 0)
		{
			$id = $newId;
		}


		$task = JRequest::getVar('task');
		switch ($task)
		{
			case "save":
				if ($msg=='')
				{
					$msg = JText::_("Newsletter saved successfully");
				}
				$mainframe->redirect( 'index.php?option=com_jsmassmail', $msg );
				break;
			case 'apply':
				if ($msg=='')
				{
					$msg = JText::_("Newsletter saved successfully");
				}
				$this->setRedirect( 'index.php?option=com_jsmassmail&controller=newsletter&task=edit&id='.$id, $msg );
				break;
		}
	}

}
?>