<?php
defined('_JEXEC') or die('Restricted Access');

jimport('joomla.application.component.model');
class JSMassMailModelJSRes extends JModel
{

	var $_total 			= null;
	var $_data 				= null;
	var $_pagination  = null;
	var $_item 				= null;
	var $model 				= null;

	function __construct()
	{
		parent::__construct();
		global $mainframe, $option;
		JModel::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_resource'.DS.'models');
		$this->model = &JModel::getInstance("Record", "ResModel");
		$filter_order		  = $mainframe->getUserStateFromRequest( $option.'.newsletter.filter_order',		 'filter_order',		 'r.ctime',	'var' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.'.newsletter.filter_order_Dir', 'filter_order_Dir', 'DESC',    'cmd' );

		$mainframe->setUserState( $option.'rec_ord.filter_order', $filter_order);
		$mainframe->setUserState( $option.'rec_ord.filter_order_Dir',	$filter_order_Dir);
		$mainframe->setUserState( $option.'rec_ord.filter_catid',	MSML_JSSECTION);
	}


	function getData()
	{
		if (empty($this->_data))
		{
			$this->_data = $this->model->getRecords();
			/*print "<pre>";
			print_r($this->_data);
			print "</pre>";*/
		}
		return $this->_data;

	}

	function getPagination()
	{
		return $this->model->getPagination();
	}

	function getTotal()
	{
		return $this->model->getTotal();
	}

	function getItem($cid)
	{

		$user = JFactory::getUser();
		$dispatcher = &JDispatcher::getInstance();
		$records = array();

		JPluginHelper::importPlugin('joomsuite_content_fields');
		foreach ($cid as $id)
		{
			$this->model->setId($id);

			$rec['base'] = $this->model->getRecord();

			$rec['fields'] = $this->model->getFields($rec['base']);
			$this->model->_fields = null;

			$html = '';
			$html.="<table class='admintable' width='100%'>";
			foreach ($rec['fields'] as $field)
			{
				$params = new JParameter($field->params);
				$out = '';
				$dispatcher->trigger('onRenderFieldValue',array(&$out, &$field, $params , $field->type, $user->id) );

				$html.="<tr>";


				if ($params->get('show_lable') != 1)
				{
					$html.="<td></td>";
				}
				else
				{
					$html.="<td width='250' valign='top'>{$field->title}</td>";
				}
				$html.="<td valign='top'>{$out}</td>";
				$html.="</tr>";
				//$html .= $out;

			}
			$html.="</table>";


			$records[] = $html;
		}

	return $records;
		//exit;



	}

}




?>

